Bug 21984 - Unable to load second page of results for reports with reused parameters
Summary: Unable to load second page of results for reports with reused parameters
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 9634
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-11 15:15 UTC by Nick Clemens
Modified: 2019-01-02 10:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21984: Pass param_name in ppagination URL (1.51 KB, patch)
2018-12-11 15:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21984: Pass param_name in ppagination URL (1.56 KB, patch)
2018-12-11 15:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21984: Pass param_name in ppagination URL (1.70 KB, patch)
2018-12-11 20:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 21984: Pass param_name in pagination URL (1.78 KB, patch)
2018-12-12 16:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-12-11 15:15:17 UTC
1  - To recreate:
Create a report like:
SELECT <<cat>>,<<dog>>,<<cat>> FROM items
2 - Run the report, enter 'CATS' and 'DOGS'
3 - Get results LIKE "CAT | DOG | CAT"
4 - Try to go to page 2
5 - FAIL! (last column is blank)
Comment 1 Nick Clemens 2018-12-11 15:18:38 UTC
Created attachment 83051 [details] [review]
Bug 21984: Pass param_name in ppagination URL

To test:
 1 - Create a report like:
    SELECT <<cat>>,<<dog>>,<<cat>> FROM items
 2 - Run the report, enter 'CATS' and 'DOGS'
 3 - Get results LIKE "CAT | DOG | CAT"
 4 - Try to go to page 2
 5 - FAIL! (last column is blank)
 6 - Apply patch
 7 - Run the repot, enter 'CATS' and 'DOGS'
 8 - Verify first page looks right
 9 - Go to page 2
10 - Results are correct!
Comment 2 ByWater Sandboxes 2018-12-11 15:46:12 UTC
Created attachment 83057 [details] [review]
Bug 21984: Pass param_name in ppagination URL

To test:
 1 - Create a report like:
    SELECT <<cat>>,<<dog>>,<<cat>> FROM items
 2 - Run the report, enter 'CATS' and 'DOGS'
 3 - Get results LIKE "CAT | DOG | CAT"
 4 - Try to go to page 2
 5 - FAIL! (last column is blank)
 6 - Apply patch
 7 - Run the repot, enter 'CATS' and 'DOGS'
 8 - Verify first page looks right
 9 - Go to page 2
10 - Results are correct!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Lucas Gass 2018-12-11 20:10:32 UTC
Created attachment 83060 [details] [review]
Bug 21984: Pass param_name in ppagination URL

To test:
 1 - Create a report like:
    SELECT <<cat>>,<<dog>>,<<cat>> FROM items
 2 - Run the report, enter 'CATS' and 'DOGS'
 3 - Get results LIKE "CAT | DOG | CAT"
 4 - Try to go to page 2
 5 - FAIL! (last column is blank)
 6 - Apply patch
 7 - Run the repot, enter 'CATS' and 'DOGS'
 8 - Verify first page looks right
 9 - Go to page 2
10 - Results are correct!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: “Lucas Gass” <lucas@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-12-12 16:39:44 UTC
Created attachment 83140 [details] [review]
Bug 21984: Pass param_name in pagination URL

To test:
 1 - Create a report like:
    SELECT <<cat>>,<<dog>>,<<cat>> FROM items
 2 - Run the report, enter 'CATS' and 'DOGS'
 3 - Get results LIKE "CAT | DOG | CAT"
 4 - Try to go to page 2
 5 - FAIL! (last column is blank)
 6 - Apply patch
 7 - Run the repot, enter 'CATS' and 'DOGS'
 8 - Verify first page looks right
 9 - Go to page 2
10 - Results are correct!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: “Lucas Gass” <lucas@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-12-20 00:55:44 UTC
Awesome work all!

Pushed ot master for 19.05
Comment 6 Martin Renvoize 2018-12-20 09:53:07 UTC
Pushed to 18.11.x for 18.11.01
Comment 7 Lucas Gass 2018-12-28 16:49:15 UTC
backported to 18.05 for 18.05.08
Comment 8 Fridolin SOMERS 2019-01-02 10:31:25 UTC
Depends on Bug 9634 not in 17.11.x